/*
 * Author: wangjian
 * 生成Service
 */
package com.tofly.base.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.tofly.base.dto.RoleMenuDTO;
import com.tofly.base.entity.Role;
import com.tofly.base.entity.RoleMenu;
import com.tofly.common.core.entity.ResultRespone;

import java.util.List;

/**
 * 角色菜单表
 *
 * @author admin
 * @date Thu Oct 10 00:00:00 CST 2019
 */
public interface RoleMenuService extends IService<RoleMenu> {
    boolean updateBatch(RoleMenu[] roleMenus);

    ResultRespone roleMenuBound(RoleMenuDTO roleMenuDTO);

    List<Long> getMenuIds(List<Long> roles);

    List<RoleMenu> getRoleMenu(Long id);

    void delete(List<Long> ids );
    List<RoleMenu>  getAllRoleId(Long id);
}
